net.corda.client.model

## Class StateMachineData

- net.corda.client.model.StateMachineData

-     public class StateMachineData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateMachineData(StateMachineRunId id, javafx.beans.value.ObservableValue<net.corda.client.model.FlowStatus> flowStatus, javafx.beans.value.ObservableValue<net.corda.client.model.StateMachineStatus> stateMachineStatus)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineRunId` | `component1()`
    `javafx.beans.value.ObservableValue<net.corda.client.model.FlowStatus>` | `component2()`
    `javafx.beans.value.ObservableValue<net.corda.client.model.StateMachineStatus>` | `component3()`
    `StateMachineData` | `copy(StateMachineRunId id, javafx.beans.value.ObservableValue<net.corda.client.model.FlowStatus> flowStatus, javafx.beans.value.ObservableValue<net.corda.client.model.StateMachineStatus> stateMachineStatus)`
    `boolean` | `equals(java.lang.Object p)`
    `javafx.beans.value.ObservableValue<net.corda.client.model.FlowStatus>` | `getFlowStatus()`
    `StateMachineRunId` | `getId()`
    `javafx.beans.value.ObservableValue<net.corda.client.model.StateMachineStatus>` | `getStateMachineStatus()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### StateMachineData

          public StateMachineData(StateMachineRunId id,
                                  javafx.beans.value.ObservableValue<net.corda.client.model.FlowStatus> flowStatus,
                                  javafx.beans.value.ObservableValue<net.corda.client.model.StateMachineStatus> stateMachineStatus)

  - ### Method Detail

    - #### getId

          public StateMachineRunId getId()

    - #### getFlowStatus

          public javafx.beans.value.ObservableValue<net.corda.client.model.FlowStatus> getFlowStatus()

    - #### getStateMachineStatus

          public javafx.beans.value.ObservableValue<net.corda.client.model.StateMachineStatus> getStateMachineStatus()

    - #### component1

          public StateMachineRunId component1()

    - #### component2

          public javafx.beans.value.ObservableValue<net.corda.client.model.FlowStatus> component2()

    - #### component3

          public javafx.beans.value.ObservableValue<net.corda.client.model.StateMachineStatus> component3()

    - #### copy

          public StateMachineData copy(StateMachineRunId id,
                                       javafx.beans.value.ObservableValue<net.corda.client.model.FlowStatus> flowStatus,
                                       javafx.beans.value.ObservableValue<net.corda.client.model.StateMachineStatus> stateMachineStatus)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)